# Base MPEG-TS sections

## Generic usage of sections with GstMpegtsSection

The GstMpegtsSection object is the representation of MPEG-TS Section (SI or PSI).

Various elements can post those on the bus via GstMessage of type GST_MESSAGE_ELEMENT. The gst_message_parse_mpegts_section function provides access to the section.

Applications (or other elements) can create them either by using one of the `gst_mpegts_section_from_*` functions, or by providing the raw SI data via gst_mpegts_section_new.

Elements outputting MPEG-TS streams can also create sections using the various convenience functions and then get the packetized data (to be inserted in MPEG-TS packets) using gst_mpegts_section_packetize.

For more details, refer to the ITU H.222.0 or ISO/IEC 13818-1 specifications and other specifications mentioned in the documentation.

# Supported base MPEG-TS sections

These are the sections for which parsing and packetizing code exists.

## Program Association Table (PAT)

See:

- gst_mpegts_section_get_pat
- gst_mpegts_pat_program_new
- GstMpegtsPatProgram

## Conditional Access Table (CAT)

See:

- gst_mpegts_section_get_cat

## Program Map Table (PMT)

See:

- GstMpegtsPMT
- gst_mpegts_section_get_pmt
- gst_mpegts_pmt_new
- GstMpegtsPMTStream

## Transport Stream Description Table (TSDT)

See:

- gst_mpegts_section_get_tsdt

# API

## GstMpegtsPMT

Program Map Table (ISO/IEC 13818-1). Provides the mappings between program numbers and the program elements that comprise them.

The program_number is contained in the subtable_extension field of the container GstMpegtsSection.

### Members

`pcr_pid` (guint16) –

PID of the stream containing the PCR for this program.

`program_number` (guint16) –

The program to which this PMT is applicable.

`descriptors` (GPtrArray *) –

Array of GstMpegtsDescriptor

`streams` (GPtrArray *) –

Array of GstMpegtsPMTStream

## GstMpegts.PMT

Program Map Table (ISO/IEC 13818-1). Provides the mappings between program numbers and the program elements that comprise them.

The program_number is contained in the subtable_extension field of the container GstMpegts.Section.

### Members

`pcr_pid` (Number) –

PID of the stream containing the PCR for this program.

`program_number` (Number) –

The program to which this PMT is applicable.

`descriptors` ([ GstMpegts.Descriptor ]) –

Array of GstMpegts.Descriptor

`streams` ([ GstMpegts.PMTStream ]) –

Array of GstMpegts.PMTStream

## GstMpegts.PMT

Program Map Table (ISO/IEC 13818-1). Provides the mappings between program numbers and the program elements that comprise them.

The program_number is contained in the subtable_extension field of the container GstMpegts.Section.

### Members

`pcr_pid` (int) –

PID of the stream containing the PCR for this program.

`program_number` (int) –

The program to which this PMT is applicable.

`descriptors` ([ GstMpegts.Descriptor ]) –

Array of GstMpegts.Descriptor

`streams` ([ GstMpegts.PMTStream ]) –

Array of GstMpegts.PMTStream

### Constructors

#### gst_mpegts_pmt_new

    GstMpegtsPMT *
    gst_mpegts_pmt_new ()

Allocates and initializes a new GstMpegtsPMT. GstMpegtsPMTStream can be added to the streams array, and global PMT GstMpegtsDescriptor to the descriptors array.

Returns ( [transfer: full]) –

GstMpegtsPMT

#### GstMpegts.PMT.prototype.new

    function GstMpegts.PMT.prototype.new(): {
        // javascript wrapper for 'gst_mpegts_pmt_new'
    }

Allocates and initializes a new GstMpegts.PMT. GstMpegts.PMTStream can be added to the streams array, and global PMT GstMpegts.Descriptor to the descriptors array.

Returns (GstMpegts.PMT) –

GstMpegts.PMT

#### GstMpegts.PMT.new

    def GstMpegts.PMT.new ():
        #python wrapper for 'gst_mpegts_pmt_new'

Allocates and initializes a new GstMpegts.PMT. GstMpegts.PMTStream can be added to the streams array, and global PMT GstMpegts.Descriptor to the descriptors array.

Returns (GstMpegts.PMT) –

GstMpegts.PMT

## GstMpegtsPMTStream

An individual stream definition of a GstMpegtsPMT.

### Members

`stream_type` (guint8) –

the type of stream. See GstMpegtsStreamType

`pid` (guint16) –

the PID of the stream

`descriptors` (GPtrArray *) –

the descriptors of the stream

## GstMpegts.PMTStream

An individual stream definition of a GstMpegts.PMT.

### Members

`stream_type` (Number) –

the type of stream. See GstMpegts.StreamType

`pid` (Number) –

the PID of the stream

`descriptors` ([ GstMpegts.Descriptor ]) –

the descriptors of the stream

## GstMpegts.PMTStream

An individual stream definition of a GstMpegts.PMT.

### Members

`stream_type` (int) –

the type of stream. See GstMpegts.StreamType

`pid` (int) –

the PID of the stream

`descriptors` ([ GstMpegts.Descriptor ]) –

the descriptors of the stream

### Constructors

#### gst_mpegts_pmt_stream_new

    GstMpegtsPMTStream *
    gst_mpegts_pmt_stream_new ()

Allocates and initializes a new GstMpegtsPMTStream.

Returns ( [transfer: full]) –

GstMpegtsPMTStream

#### GstMpegts.PMTStream.prototype.new

    function GstMpegts.PMTStream.prototype.new(): {
        // javascript wrapper for 'gst_mpegts_pmt_stream_new'
    }

Allocates and initializes a new GstMpegts.PMTStream.

Returns (GstMpegts.PMTStream) –

GstMpegts.PMTStream

#### GstMpegts.PMTStream.new

    def GstMpegts.PMTStream.new ():
        #python wrapper for 'gst_mpegts_pmt_stream_new'

Allocates and initializes a new GstMpegts.PMTStream.

Returns (GstMpegts.PMTStream) –

GstMpegts.PMTStream

## GstMpegtsPatProgram

A program entry from a Program Association Table (ITU H.222.0, ISO/IEC 13818-1).

### Members

`program_number` (guint16) –

the program number

`network_or_program_map_PID` (guint16) –

the network of program map PID

## GstMpegts.PatProgram

A program entry from a Program Association Table (ITU H.222.0, ISO/IEC 13818-1).

### Members

`program_number` (Number) –

the program number

`network_or_program_map_PID` (Number) –

the network of program map PID

## GstMpegts.PatProgram

A program entry from a Program Association Table (ITU H.222.0, ISO/IEC 13818-1).

### Members

`program_number` (int) –

the program number

`network_or_program_map_PID` (int) –

the network of program map PID

### Constructors

#### gst_mpegts_pat_program_new

    GstMpegtsPatProgram *
    gst_mpegts_pat_program_new ()

Allocates a new GstMpegtsPatProgram.

Returns ( [transfer: full]) –

A newly allocated GstMpegtsPatProgram

#### GstMpegts.PatProgram.prototype.new

    function GstMpegts.PatProgram.prototype.new(): {
        // javascript wrapper for 'gst_mpegts_pat_program_new'
    }

Allocates a new GstMpegts.PatProgram.

Returns (GstMpegts.PatProgram) –

A newly allocated GstMpegts.PatProgram

#### GstMpegts.PatProgram.new

    def GstMpegts.PatProgram.new ():
        #python wrapper for 'gst_mpegts_pat_program_new'

Allocates a new GstMpegts.PatProgram.

Returns (GstMpegts.PatProgram) –

A newly allocated GstMpegts.PatProgram

## GstMpegtsSection

Mpeg-TS Section Information (SI) (ISO/IEC 13818-1) object.

### Members

`section_type` (GstMpegtsSectionType) –

The type of section.

`pid` (guint16) –

The PID on which this section was found or belongs to.

`table_id` (guint8) –

The table id of this section. See GstMpegtsSectionTableID and derivates for more information.

`subtable_extension` (guint16) –

This meaning differs per section. See the documentation of the parsed section type for the meaning of this field

`version_number` (guint8) –

Version of the section.

`current_next_indicator` (gboolean) –

Applies to current/next stream or not

`section_number` (guint8) –

Number of the section (if multiple)

`last_section_number` (guint8) –

Number of the last expected section (if multiple)

`crc` (guint32) –

Checksum (if applicable)

## GstMpegts.Section

Mpeg-TS Section Information (SI) (ISO/IEC 13818-1) object.

### Members

`section_type` (GstMpegts.SectionType) –

The type of section.

`pid` (Number) –

The PID on which this section was found or belongs to.

`table_id` (Number) –

The table id of this section. See GstMpegts.SectionTableID and derivates for more information.

`subtable_extension` (Number) –

This meaning differs per section. See the documentation of the parsed section type for the meaning of this field

`version_number` (Number) –

Version of the section.

`current_next_indicator` (Number) –

Applies to current/next stream or not

`section_number` (Number) –

Number of the section (if multiple)

`last_section_number` (Number) –

Number of the last expected section (if multiple)

`crc` (Number) –

Checksum (if applicable)

## GstMpegts.Section

Mpeg-TS Section Information (SI) (ISO/IEC 13818-1) object.

### Members

`section_type` (GstMpegts.SectionType) –

The type of section.

`pid` (int) –

The PID on which this section was found or belongs to.

`table_id` (int) –

The table id of this section. See GstMpegts.SectionTableID and derivates for more information.

`subtable_extension` (int) –

This meaning differs per section. See the documentation of the parsed section type for the meaning of this field

`version_number` (int) –

Version of the section.

`current_next_indicator` (bool) –

Applies to current/next stream or not

`section_number` (int) –

Number of the section (if multiple)

`last_section_number` (int) –

Number of the last expected section (if multiple)

`crc` (int) –

Checksum (if applicable)

### Constructors

#### gst_mpegts_section_new

    GstMpegtsSection *
    gst_mpegts_section_new (guint16 pid,
                            guint8* data,
                            gsize data_size)

Creates a new GstMpegtsSection from the provided data.

Note: Ensuring data is big enough to contain the full section is the responsibility of the caller. If it is not big enough, NULL will be returned.

Note: it is the responsibility of the caller to ensure data does point to the beginning of the section.

Parameters:

`pid` –

the PID to which this section belongs

`data` ( [transfer: full][arraylength=data_size]) –

a pointer to the beginning of the section (i.e. the first byte should contain the `table_id` field).

`data_size` –

size of the data argument.

Returns ( [transfer: full]) –

A new GstMpegtsSection if the data was valid, else NULL

#### GstMpegts.Section.prototype.new

    function GstMpegts.Section.prototype.new(pid: Number, data: [ Number ], data_size: Number): {
        // javascript wrapper for 'gst_mpegts_section_new'
    }

Creates a new GstMpegts.Section from the provided data.

Note: Ensuring data is big enough to contain the full section is the responsibility of the caller. If it is not big enough, NULL will be returned.

Note: it is the responsibility of the caller to ensure data does point to the beginning of the section.

Parameters:

`pid` (Number) –

the PID to which this section belongs

`data` ([ Number ]) –

a pointer to the beginning of the section (i.e. the first byte should contain the `table_id` field).

`data_size` (Number) –

size of the data argument.

Returns (GstMpegts.Section) –

A new GstMpegts.Section if the data was valid, else NULL

#### GstMpegts.Section.new

    def GstMpegts.Section.new (pid, data, data_size):
        #python wrapper for 'gst_mpegts_section_new'

Creates a new GstMpegts.Section from the provided data.

Note: Ensuring data is big enough to contain the full section is the responsibility of the caller. If it is not big enough, NULL will be returned.

Note: it is the responsibility of the caller to ensure data does point to the beginning of the section.

Parameters:

`pid` (int) –

the PID to which this section belongs

`data` ([ int ]) –

a pointer to the beginning of the section (i.e. the first byte should contain the `table_id` field).

`data_size` (int) –

size of the data argument.

Returns (GstMpegts.Section) –

A new GstMpegts.Section if the data was valid, else NULL

### Methods

#### gst_mpegts_section_get_atsc_cvct

    const GstMpegtsAtscVCT *
    gst_mpegts_section_get_atsc_cvct (GstMpegtsSection * section)

Returns the GstMpegtsAtscVCT contained in the section

Parameters:

`section` –

a GstMpegtsSection of type GST_MPEGTS_SECTION_ATSC_CVCT

Returns –

The GstMpegtsAtscVCT contained in the section, or NULL if an error happened.

#### GstMpegts.Section.prototype.get_atsc_cvct

    function GstMpegts.Section.prototype.get_atsc_cvct(): {
        // javascript wrapper for 'gst_mpegts_section_get_atsc_cvct'
    }

Returns the GstMpegts.AtscVCT contained in the section

Parameters:

`section` (GstMpegts.Section) –

a GstMpegts.Section of type GstMpegts.SectionType.ATSC_CVCT

Returns (GstMpegts.AtscVCT) –

The GstMpegts.AtscVCT contained in the section, or NULL if an error happened.

#### GstMpegts.Section.get_atsc_cvct

    def GstMpegts.Section.get_atsc_cvct (self):
        #python wrapper for 'gst_mpegts_section_get_atsc_cvct'

Returns the GstMpegts.AtscVCT contained in the section

Parameters:

`section` (GstMpegts.Section) –

a GstMpegts.Section of type GstMpegts.SectionType.ATSC_CVCT

Returns (GstMpegts.AtscVCT) –

The GstMpegts.AtscVCT contained in the section, or NULL if an error happened.

#### gst_mpegts_section_get_atsc_eit

    const GstMpegtsAtscEIT *
    gst_mpegts_section_get_atsc_eit (GstMpegtsSection * section)

Returns the GstMpegtsAtscEIT contained in the section.

Parameters:

`section` –

a GstMpegtsSection of type GST_MPEGTS_SECTION_ATSC_EIT

Returns –

The GstMpegtsAtscEIT contained in the section, or NULL if an error happened.

#### GstMpegts.Section.prototype.get_atsc_eit

    function GstMpegts.Section.prototype.get_atsc_eit(): {
        // javascript wrapper for 'gst_mpegts_section_get_atsc_eit'
    }

Returns the GstMpegts.AtscEIT contained in the section.

Parameters:

`section` (GstMpegts.Section) –

a GstMpegts.Section of type GstMpegts.SectionType.ATSC_EIT

Returns (GstMpegts.AtscEIT) –

The GstMpegts.AtscEIT contained in the section, or NULL if an error happened.

#### GstMpegts.Section.get_atsc_eit

    def GstMpegts.Section.get_atsc_eit (self):
        #python wrapper for 'gst_mpegts_section_get_atsc_eit'

Returns the GstMpegts.AtscEIT contained in the section.

Parameters:

`section` (GstMpegts.Section) –

a GstMpegts.Section of type GstMpegts.SectionType.ATSC_EIT

Returns (GstMpegts.AtscEIT) –

The GstMpegts.AtscEIT contained in the section, or NULL if an error happened.

#### gst_mpegts_section_get_atsc_ett

    const GstMpegtsAtscETT *
    gst_mpegts_section_get_atsc_ett (GstMpegtsSection * section)

Returns the GstMpegtsAtscETT contained in the section.

Parameters:

`section` –

a GstMpegtsSection of type GST_MPEGTS_SECTION_ATSC_ETT

Returns –

The GstMpegtsAtscETT contained in the section, or NULL if an error happened.

#### GstMpegts.Section.prototype.get_atsc_ett

    function GstMpegts.Section.prototype.get_atsc_ett(): {
        // javascript wrapper for 'gst_mpegts_section_get_atsc_ett'
    }

Returns the GstMpegts.AtscETT contained in the section.

Parameters:

`section` (GstMpegts.Section) –

a GstMpegts.Section of type GstMpegts.SectionType.ATSC_ETT

Returns (GstMpegts.AtscETT) –

The GstMpegts.AtscETT contained in the section, or NULL if an error happened.

#### GstMpegts.Section.get_atsc_ett

    def GstMpegts.Section.get_atsc_ett (self):
        #python wrapper for 'gst_mpegts_section_get_atsc_ett'

Returns the GstMpegts.AtscETT contained in the section.

Parameters:

`section` (GstMpegts.Section) –

a GstMpegts.Section of type GstMpegts.SectionType.ATSC_ETT

Returns (GstMpegts.AtscETT) –

The GstMpegts.AtscETT contained in the section, or NULL if an error happened.

#### gst_mpegts_section_get_atsc_mgt

    const GstMpegtsAtscMGT *
    gst_mpegts_section_get_atsc_mgt (GstMpegtsSection * section)

Returns the GstMpegtsAtscMGT contained in the section.

Parameters:

`section` –

a GstMpegtsSection of type GST_MPEGTS_SECTION_ATSC_MGT

Returns –

The GstMpegtsAtscMGT contained in the section, or NULL if an error happened.

#### GstMpegts.Section.prototype.get_atsc_mgt

    function GstMpegts.Section.prototype.get_atsc_mgt(): {
        // javascript wrapper for 'gst_mpegts_section_get_atsc_mgt'
    }

Returns the GstMpegts.AtscMGT contained in the section.

Parameters:

`section` (GstMpegts.Section) –

a GstMpegts.Section of type GstMpegts.SectionType.ATSC_MGT

Returns (GstMpegts.AtscMGT) –

The GstMpegts.AtscMGT contained in the section, or NULL if an error happened.

#### GstMpegts.Section.get_atsc_mgt

    def GstMpegts.Section.get_atsc_mgt (self):
        #python wrapper for 'gst_mpegts_section_get_atsc_mgt'

Returns the GstMpegts.AtscMGT contained in the section.

Parameters:

`section` (GstMpegts.Section) –

a GstMpegts.Section of type GstMpegts.SectionType.ATSC_MGT

Returns (GstMpegts.AtscMGT) –

The GstMpegts.AtscMGT contained in the section, or NULL if an error happened.

#### gst_mpegts_section_get_atsc_rrt

    const GstMpegtsAtscRRT *
    gst_mpegts_section_get_atsc_rrt (GstMpegtsSection * section)

Returns the GstMpegtsAtscRRT contained in the section.

Parameters:

`section` –

a GstMpegtsSection of type GST_MPEGTS_SECTION_ATSC_RRT

Returns –

The GstMpegtsAtscRRT contained in the section, or NULL if an error happened.

Since : 1.18

#### GstMpegts.Section.prototype.get_atsc_rrt

    function GstMpegts.Section.prototype.get_atsc_rrt(): {
        // javascript wrapper for 'gst_mpegts_section_get_atsc_rrt'
    }

Returns the GstMpegts.AtscRRT contained in the section.

Parameters:

`section` (GstMpegts.Section) –

a GstMpegts.Section of type GstMpegts.SectionType.ATSC_RRT

Returns (GstMpegts.AtscRRT) –

The GstMpegts.AtscRRT contained in the section, or NULL if an error happened.

Since : 1.18

#### GstMpegts.Section.get_atsc_rrt

    def GstMpegts.Section.get_atsc_rrt (self):
        #python wrapper for 'gst_mpegts_section_get_atsc_rrt'

Returns the GstMpegts.AtscRRT contained in the section.

Parameters:

`section` (GstMpegts.Section) –

a GstMpegts.Section of type GstMpegts.SectionType.ATSC_RRT

Returns (GstMpegts.AtscRRT) –

The GstMpegts.AtscRRT contained in the section, or NULL if an error happened.

Since : 1.18

#### gst_mpegts_section_get_atsc_stt

    const GstMpegtsAtscSTT *
    gst_mpegts_section_get_atsc_stt (GstMpegtsSection * section)

Returns the GstMpegtsAtscSTT contained in the section.

Parameters:

`section` –

a GstMpegtsSection of type GST_MPEGTS_SECTION_ATSC_STT

Returns –

The GstMpegtsAtscSTT contained in the section, or NULL if an error happened.

#### GstMpegts.Section.prototype.get_atsc_stt

    function GstMpegts.Section.prototype.get_atsc_stt(): {
        // javascript wrapper for 'gst_mpegts_section_get_atsc_stt'
    }

Returns the GstMpegts.AtscSTT contained in the section.

Parameters:

`section` (GstMpegts.Section) –

a GstMpegts.Section of type GstMpegts.SectionType.ATSC_STT

Returns (GstMpegts.AtscSTT) –

The GstMpegts.AtscSTT contained in the section, or NULL if an error happened.

#### GstMpegts.Section.get_atsc_stt

    def GstMpegts.Section.get_atsc_stt (self):
        #python wrapper for 'gst_mpegts_section_get_atsc_stt'

Returns the GstMpegts.AtscSTT contained in the section.

Parameters:

`section` (GstMpegts.Section) –

a GstMpegts.Section of type GstMpegts.SectionType.ATSC_STT

Returns (GstMpegts.AtscSTT) –

The GstMpegts.AtscSTT contained in the section, or NULL if an error happened.

#### gst_mpegts_section_get_atsc_tvct

    const GstMpegtsAtscVCT *
    gst_mpegts_section_get_atsc_tvct (GstMpegtsSection * section)

Returns the GstMpegtsAtscVCT contained in the section

Parameters:

`section` –

a GstMpegtsSection of type GST_MPEGTS_SECTION_ATSC_TVCT

Returns –

The GstMpegtsAtscVCT contained in the section, or NULL if an error happened.

#### GstMpegts.Section.prototype.get_atsc_tvct

    function GstMpegts.Section.prototype.get_atsc_tvct(): {
        // javascript wrapper for 'gst_mpegts_section_get_atsc_tvct'
    }

Returns the GstMpegts.AtscVCT contained in the section

Parameters:

`section` (GstMpegts.Section) –

a GstMpegts.Section of type GstMpegts.SectionType.ATSC_TVCT

Returns (GstMpegts.AtscVCT) –

The GstMpegts.AtscVCT contained in the section, or NULL if an error happened.

#### GstMpegts.Section.get_atsc_tvct

    def GstMpegts.Section.get_atsc_tvct (self):
        #python wrapper for 'gst_mpegts_section_get_atsc_tvct'

Returns the GstMpegts.AtscVCT contained in the section

Parameters:

`section` (GstMpegts.Section) –

a GstMpegts.Section of type GstMpegts.SectionType.ATSC_TVCT

Returns (GstMpegts.AtscVCT) –

The GstMpegts.AtscVCT contained in the section, or NULL if an error happened.

#### gst_mpegts_section_get_bat

    const GstMpegtsBAT *
    gst_mpegts_section_get_bat (GstMpegtsSection * section)

Returns the GstMpegtsBAT contained in the section.

Parameters:

`section` –

a GstMpegtsSection of type GST_MPEGTS_SECTION_BAT

Returns –

The GstMpegtsBAT contained in the section, or NULL if an error happened.

#### GstMpegts.Section.prototype.get_bat

    function GstMpegts.Section.prototype.get_bat(): {
        // javascript wrapper for 'gst_mpegts_section_get_bat'
    }

Returns the GstMpegts.BAT contained in the section.

Parameters:

`section` (GstMpegts.Section) –

a GstMpegts.Section of type GstMpegts.SectionType.BAT

Returns (GstMpegts.BAT) –

The GstMpegts.BAT contained in the section, or NULL if an error happened.

#### GstMpegts.Section.get_bat

    def GstMpegts.Section.get_bat (self):
        #python wrapper for 'gst_mpegts_section_get_bat'

Returns the GstMpegts.BAT contained in the section.

Parameters:

`section` (GstMpegts.Section) –

a GstMpegts.Section of type GstMpegts.SectionType.BAT

Returns (GstMpegts.BAT) –

The GstMpegts.BAT contained in the section, or NULL if an error happened.

#### gst_mpegts_section_get_cat

    GPtrArray *
    gst_mpegts_section_get_cat (GstMpegtsSection * section)

Parses a Conditional Access Table.

Returns the array of GstMpegtsDescriptor contained in the Conditional Access Table.

Parameters:

`section` –

a GstMpegtsSection of type GST_MPEGTS_SECTION_CAT

Returns ( [transfer: container][element-typeGstMpegtsDescriptor]) –

The array of GstMpegtsDescriptor contained in the section, or NULL if an error happened. Release with g_array_unref when done.

#### GstMpegts.Section.prototype.get_cat

    function GstMpegts.Section.prototype.get_cat(): {
        // javascript wrapper for 'gst_mpegts_section_get_cat'
    }

Parses a Conditional Access Table.

Returns the array of GstMpegts.Descriptor contained in the Conditional Access Table.

Parameters:

`section` (GstMpegts.Section) –

a GstMpegts.Section of type GstMpegts.SectionType.CAT

Returns ([ GstMpegts.Descriptor ]) –

The array of GstMpegts.Descriptor contained in the section, or NULL if an error happened. Release with g_array_unref (not introspectable) when done.

#### GstMpegts.Section.get_cat

    def GstMpegts.Section.get_cat (self):
        #python wrapper for 'gst_mpegts_section_get_cat'

Parses a Conditional Access Table.

Returns the array of GstMpegts.Descriptor contained in the Conditional Access Table.

Parameters:

`section` (GstMpegts.Section) –

a GstMpegts.Section of type GstMpegts.SectionType.CAT

Returns ([ GstMpegts.Descriptor ]) –

The array of GstMpegts.Descriptor contained in the section, or NULL if an error happened. Release with g_array_unref (not introspectable) when done.

#### gst_mpegts_section_get_data

    GBytes *
    gst_mpegts_section_get_data (GstMpegtsSection * section)

Gets the original unparsed section data.

Parameters:

`section` –

a GstMpegtsSection

Returns ( [transfer: full]) –

The original unparsed section data.

#### GstMpegts.Section.prototype.get_data

    function GstMpegts.Section.prototype.get_data(): {
        // javascript wrapper for 'gst_mpegts_section_get_data'
    }

Gets the original unparsed section data.

Parameters:

`section` (GstMpegts.Section) –

a GstMpegts.Section

Returns (GBytes (not introspectable)) –

The original unparsed section data.

#### GstMpegts.Section.get_data

    def GstMpegts.Section.get_data (self):
        #python wrapper for 'gst_mpegts_section_get_data'

Gets the original unparsed section data.

Parameters:

`section` (GstMpegts.Section) –

a GstMpegts.Section

Returns (GBytes (not introspectable)) –

The original unparsed section data.

#### gst_mpegts_section_get_eit

    const GstMpegtsEIT *
    gst_mpegts_section_get_eit (GstMpegtsSection * section)

Returns the GstMpegtsEIT contained in the section.

Parameters:

`section` –

a GstMpegtsSection of type GST_MPEGTS_SECTION_EIT

Returns –

The GstMpegtsEIT contained in the section, or NULL if an error happened.

#### GstMpegts.Section.prototype.get_eit

    function GstMpegts.Section.prototype.get_eit(): {
        // javascript wrapper for 'gst_mpegts_section_get_eit'
    }

Returns the GstMpegts.EIT contained in the section.

Parameters:

`section` (GstMpegts.Section) –

a GstMpegts.Section of type GstMpegts.SectionType.EIT

Returns (GstMpegts.EIT) –

The GstMpegts.EIT contained in the section, or NULL if an error happened.

#### GstMpegts.Section.get_eit

    def GstMpegts.Section.get_eit (self):
        #python wrapper for 'gst_mpegts_section_get_eit'

Returns the GstMpegts.EIT contained in the section.

Parameters:

`section` (GstMpegts.Section) –

a GstMpegts.Section of type GstMpegts.SectionType.EIT

Returns (GstMpegts.EIT) –

The GstMpegts.EIT contained in the section, or NULL if an error happened.

#### gst_mpegts_section_get_nit

    const GstMpegtsNIT *
    gst_mpegts_section_get_nit (GstMpegtsSection * section)

Returns the GstMpegtsNIT contained in the section.

Parameters:

`section` –

a GstMpegtsSection of type GST_MPEGTS_SECTION_NIT

Returns –

The GstMpegtsNIT contained in the section, or NULL if an error happened.

#### GstMpegts.Section.prototype.get_nit

    function GstMpegts.Section.prototype.get_nit(): {
        // javascript wrapper for 'gst_mpegts_section_get_nit'
    }

Returns the GstMpegts.NIT contained in the section.

Parameters:

`section` (GstMpegts.Section) –

a GstMpegts.Section of type GstMpegts.SectionType.NIT

Returns (GstMpegts.NIT) –

The GstMpegts.NIT contained in the section, or NULL if an error happened.

#### GstMpegts.Section.get_nit

    def GstMpegts.Section.get_nit (self):
        #python wrapper for 'gst_mpegts_section_get_nit'

Returns the GstMpegts.NIT contained in the section.

Parameters:

`section` (GstMpegts.Section) –

a GstMpegts.Section of type GstMpegts.SectionType.NIT

Returns (GstMpegts.NIT) –

The GstMpegts.NIT contained in the section, or NULL if an error happened.

#### gst_mpegts_section_get_pat

    GPtrArray *
    gst_mpegts_section_get_pat (GstMpegtsSection * section)

Parses a Program Association Table (ITU H.222.0, ISO/IEC 13818-1).

Returns the array of GstMpegtsPatProgram contained in the section.

Note: The PAT `transport_stream_id` field corresponds to the "subtable_extension" field of the provided section.

Parameters:

`section` –

a GstMpegtsSection of type GST_MPEGTS_SECTION_PAT

Returns ( [transfer: container][element-typeGstMpegtsPatProgram]) –

The GstMpegtsPatProgram contained in the section, or NULL if an error happened or the section did not contain a valid PAT. Release with g_ptr_array_unref when done.

#### GstMpegts.Section.prototype.get_pat

    function GstMpegts.Section.prototype.get_pat(): {
        // javascript wrapper for 'gst_mpegts_section_get_pat'
    }

Parses a Program Association Table (ITU H.222.0, ISO/IEC 13818-1).

Returns the array of GstMpegts.PatProgram contained in the section.

Note: The PAT `transport_stream_id` field corresponds to the "subtable_extension" field of the provided section.

Parameters:

`section` (GstMpegts.Section) –

a GstMpegts.Section of type GstMpegts.SectionType.PAT

Returns ([ GstMpegts.PatProgram ]) –

The GstMpegts.PatProgram contained in the section, or NULL if an error happened or the section did not contain a valid PAT. Release with g_ptr_array_unref (not introspectable) when done.

#### GstMpegts.Section.get_pat

    def GstMpegts.Section.get_pat (self):
        #python wrapper for 'gst_mpegts_section_get_pat'

Parses a Program Association Table (ITU H.222.0, ISO/IEC 13818-1).

Returns the array of GstMpegts.PatProgram contained in the section.

Note: The PAT `transport_stream_id` field corresponds to the "subtable_extension" field of the provided section.

Parameters:

`section` (GstMpegts.Section) –

a GstMpegts.Section of type GstMpegts.SectionType.PAT

Returns ([ GstMpegts.PatProgram ]) –

The GstMpegts.PatProgram contained in the section, or NULL if an error happened or the section did not contain a valid PAT. Release with g_ptr_array_unref (not introspectable) when done.

#### gst_mpegts_section_get_pmt

    const GstMpegtsPMT *
    gst_mpegts_section_get_pmt (GstMpegtsSection * section)

Parses the Program Map Table contained in the section.

Parameters:

`section` –

a GstMpegtsSection of type GST_MPEGTS_SECTION_PMT

Returns –

The GstMpegtsPMT contained in the section, or NULL if an error happened.

#### GstMpegts.Section.prototype.get_pmt

    function GstMpegts.Section.prototype.get_pmt(): {
        // javascript wrapper for 'gst_mpegts_section_get_pmt'
    }

Parses the Program Map Table contained in the section.

Parameters:

`section` (GstMpegts.Section) –

a GstMpegts.Section of type GstMpegts.SectionType.PMT

Returns (GstMpegts.PMT) –

The GstMpegts.PMT contained in the section, or NULL if an error happened.

#### GstMpegts.Section.get_pmt

    def GstMpegts.Section.get_pmt (self):
        #python wrapper for 'gst_mpegts_section_get_pmt'

Parses the Program Map Table contained in the section.

Parameters:

`section` (GstMpegts.Section) –

a GstMpegts.Section of type GstMpegts.SectionType.PMT

Returns (GstMpegts.PMT) –

The GstMpegts.PMT contained in the section, or NULL if an error happened.

#### gst_mpegts_section_get_scte_sit

    const GstMpegtsSCTESIT *
    gst_mpegts_section_get_scte_sit (GstMpegtsSection * section)

Returns the GstMpegtsSCTESIT contained in the section.

Parameters:

`section` –

a GstMpegtsSection of type GST_MPEGTS_SECTION_SCTE_SIT

Returns –

The GstMpegtsSCTESIT contained in the section, or NULL if an error happened.

#### GstMpegts.Section.prototype.get_scte_sit

    function GstMpegts.Section.prototype.get_scte_sit(): {
        // javascript wrapper for 'gst_mpegts_section_get_scte_sit'
    }

Returns the GstMpegts.SCTESIT contained in the section.

Parameters:

`section` (GstMpegts.Section) –

a GstMpegts.Section of type GstMpegts.SectionType.SCTE_SIT

Returns (GstMpegts.SCTESIT) –

The GstMpegts.SCTESIT contained in the section, or NULL if an error happened.

#### GstMpegts.Section.get_scte_sit

    def GstMpegts.Section.get_scte_sit (self):
        #python wrapper for 'gst_mpegts_section_get_scte_sit'

Returns the GstMpegts.SCTESIT contained in the section.

Parameters:

`section` (GstMpegts.Section) –

a GstMpegts.Section of type GstMpegts.SectionType.SCTE_SIT

Returns (GstMpegts.SCTESIT) –

The GstMpegts.SCTESIT contained in the section, or NULL if an error happened.

#### gst_mpegts_section_get_sdt

    const GstMpegtsSDT *
    gst_mpegts_section_get_sdt (GstMpegtsSection * section)

Returns the GstMpegtsSDT contained in the section.

Parameters:

`section` –

a GstMpegtsSection of type GST_MPEGTS_SECTION_SDT

Returns –

The GstMpegtsSDT contained in the section, or NULL if an error happened.

#### GstMpegts.Section.prototype.get_sdt

    function GstMpegts.Section.prototype.get_sdt(): {
        // javascript wrapper for 'gst_mpegts_section_get_sdt'
    }

Returns the GstMpegts.SDT contained in the section.

Parameters:

`section` (GstMpegts.Section) –

a GstMpegts.Section of type GstMpegts.SectionType.SDT

Returns (GstMpegts.SDT) –

The GstMpegts.SDT contained in the section, or NULL if an error happened.

#### GstMpegts.Section.get_sdt

    def GstMpegts.Section.get_sdt (self):
        #python wrapper for 'gst_mpegts_section_get_sdt'

Returns the GstMpegts.SDT contained in the section.

Parameters:

`section` (GstMpegts.Section) –

a GstMpegts.Section of type GstMpegts.SectionType.SDT

Returns (GstMpegts.SDT) –

The GstMpegts.SDT contained in the section, or NULL if an error happened.

#### gst_mpegts_section_get_sit

    const GstMpegtsSIT *
    gst_mpegts_section_get_sit (GstMpegtsSection * section)

Returns the GstMpegtsSIT contained in the section.

Parameters:

`section` –

a GstMpegtsSection of type GST_MPEGTS_SECTION_SIT

Returns –

The GstMpegtsSIT contained in the section, or NULL if an error happened.

Since : 1.20

#### GstMpegts.Section.prototype.get_sit

    function GstMpegts.Section.prototype.get_sit(): {
        // javascript wrapper for 'gst_mpegts_section_get_sit'
    }

Returns the GstMpegts.SIT contained in the section.

Parameters:

`section` (GstMpegts.Section) –

a GstMpegts.Section of type GstMpegts.SectionType.SIT

Returns (GstMpegts.SIT) –

The GstMpegts.SIT contained in the section, or NULL if an error happened.

Since : 1.20

#### GstMpegts.Section.get_sit

    def GstMpegts.Section.get_sit (self):
        #python wrapper for 'gst_mpegts_section_get_sit'

Returns the GstMpegts.SIT contained in the section.

Parameters:

`section` (GstMpegts.Section) –

a GstMpegts.Section of type GstMpegts.SectionType.SIT

Returns (GstMpegts.SIT) –

The GstMpegts.SIT contained in the section, or NULL if an error happened.

Since : 1.20

#### gst_mpegts_section_get_tdt

    GstDateTime *
    gst_mpegts_section_get_tdt (GstMpegtsSection * section)

Returns the GstDateTime of the TDT

Parameters:

`section` –

a GstMpegtsSection of type GST_MPEGTS_SECTION_TDT

Returns –

The GstDateTime contained in the section, or NULL if an error happened. Release with gst_date_time_unref when done.

#### GstMpegts.Section.prototype.get_tdt

    function GstMpegts.Section.prototype.get_tdt(): {
        // javascript wrapper for 'gst_mpegts_section_get_tdt'
    }

Returns the Gst.DateTime of the TDT

Parameters:

`section` (GstMpegts.Section) –

a GstMpegts.Section of type GstMpegts.SectionType.TDT

Returns (Gst.DateTime) –

The Gst.DateTime contained in the section, or NULL if an error happened. Release with Gst.DateTime.prototype.unref when done.

#### GstMpegts.Section.get_tdt

    def GstMpegts.Section.get_tdt (self):
        #python wrapper for 'gst_mpegts_section_get_tdt'

Returns the Gst.DateTime of the TDT

Parameters:

`section` (GstMpegts.Section) –

a GstMpegts.Section of type GstMpegts.SectionType.TDT

Returns (Gst.DateTime) –

The Gst.DateTime contained in the section, or NULL if an error happened. Release with Gst.DateTime.unref when done.

#### gst_mpegts_section_get_tot

    const GstMpegtsTOT *
    gst_mpegts_section_get_tot (GstMpegtsSection * section)

Returns the GstMpegtsTOT contained in the section.

Parameters:

`section` –

a GstMpegtsSection of type GST_MPEGTS_SECTION_TOT

Returns –

The GstMpegtsTOT contained in the section, or NULL if an error happened.

#### GstMpegts.Section.prototype.get_tot

    function GstMpegts.Section.prototype.get_tot(): {
        // javascript wrapper for 'gst_mpegts_section_get_tot'
    }

Returns the GstMpegts.TOT contained in the section.

Parameters:

`section` (GstMpegts.Section) –

a GstMpegts.Section of type GstMpegts.SectionType.TOT

Returns (GstMpegts.TOT) –

The GstMpegts.TOT contained in the section, or NULL if an error happened.

#### GstMpegts.Section.get_tot

    def GstMpegts.Section.get_tot (self):
        #python wrapper for 'gst_mpegts_section_get_tot'

Returns the GstMpegts.TOT contained in the section.

Parameters:

`section` (GstMpegts.Section) –

a GstMpegts.Section of type GstMpegts.SectionType.TOT

Returns (GstMpegts.TOT) –

The GstMpegts.TOT contained in the section, or NULL if an error happened.

#### gst_mpegts_section_get_tsdt

    GPtrArray *
    gst_mpegts_section_get_tsdt (GstMpegtsSection * section)

Parses a Transport Stream Description Table.

Returns the array of GstMpegtsDescriptor contained in the section

Parameters:

`section` –

a GstMpegtsSection of type GST_MPEGTS_SECTION_TSDT

Returns ( [transfer: container][element-typeGstMpegtsDescriptor]) –

The array of GstMpegtsDescriptor contained in the section, or NULL if an error happened. Release with g_array_unref when done.

#### GstMpegts.Section.prototype.get_tsdt

    function GstMpegts.Section.prototype.get_tsdt(): {
        // javascript wrapper for 'gst_mpegts_section_get_tsdt'
    }

Parses a Transport Stream Description Table.

Returns the array of GstMpegts.Descriptor contained in the section

Parameters:

`section` (GstMpegts.Section) –

a GstMpegts.Section of type GstMpegts.SectionType.TSDT

Returns ([ GstMpegts.Descriptor ]) –

The array of GstMpegts.Descriptor contained in the section, or NULL if an error happened. Release with g_array_unref (not introspectable) when done.

#### GstMpegts.Section.get_tsdt

    def GstMpegts.Section.get_tsdt (self):
        #python wrapper for 'gst_mpegts_section_get_tsdt'

Parses a Transport Stream Description Table.

Returns the array of GstMpegts.Descriptor contained in the section

Parameters:

`section` (GstMpegts.Section) –

a GstMpegts.Section of type GstMpegts.SectionType.TSDT

Returns ([ GstMpegts.Descriptor ]) –

The array of GstMpegts.Descriptor contained in the section, or NULL if an error happened. Release with g_array_unref (not introspectable) when done.

#### gst_mpegts_section_packetize

    guint8*
    gst_mpegts_section_packetize (GstMpegtsSection * section,
                                  gsize* output_size)

Packetize (i.e. serialize) the section. If the data in section has already been packetized, the data pointer is returned immediately. Otherwise, the data field is allocated and populated.

Parameters:

`section` ( [transfer: none]) –

the GstMpegtsSection that holds the data

`output_size` ( [out]) –

gsize to hold the size of the data

Returns ( [transfer: none]) –

pointer to section data, or NULL on failure.

#### GstMpegts.Section.prototype.packetize

    function GstMpegts.Section.prototype.packetize(): {
        // javascript wrapper for 'gst_mpegts_section_packetize'
    }

Packetize (i.e. serialize) the section. If the data in section has already been packetized, the data pointer is returned immediately. Otherwise, the data field is allocated and populated.

Parameters:

`section` (GstMpegts.Section) –

the GstMpegts.Section that holds the data

Returns a tuple made of:

(Number ) –

pointer to section data, or NULL on failure.

`output_size` (Number ) –

pointer to section data, or NULL on failure.

#### GstMpegts.Section.packetize

    def GstMpegts.Section.packetize (self):
        #python wrapper for 'gst_mpegts_section_packetize'

Packetize (i.e. serialize) the section. If the data in section has already been packetized, the data pointer is returned immediately. Otherwise, the data field is allocated and populated.

Parameters:

`section` (GstMpegts.Section) –

the GstMpegts.Section that holds the data

Returns a tuple made of:

(int ) –

pointer to section data, or NULL on failure.

`output_size` (int ) –

pointer to section data, or NULL on failure.

#### gst_mpegts_section_send_event

    gboolean
    gst_mpegts_section_send_event (GstMpegtsSection * section,
                                   GstElement * element)

Creates a custom GstEvent with a GstMpegtsSection and send it the element GstElement.

Parameters:

`section` ( [transfer: none]) –

The GstMpegtsSection to put in the event

`element` ( [transfer: none]) –

The GstElement to send to section event to

Returns –

TRUE if the event was sent to the element.

#### GstMpegts.Section.prototype.send_event

    function GstMpegts.Section.prototype.send_event(element: Gst.Element): {
        // javascript wrapper for 'gst_mpegts_section_send_event'
    }

Creates a custom Gst.Event with a GstMpegtsSection and send it the element Gst.Element.

Parameters:

`section` (GstMpegts.Section) –

The GstMpegts.Section to put in the event

`element` (Gst.Element) –

The Gst.Element to send to section event to

Returns (Number) –

TRUE if the event was sent to the element.

#### GstMpegts.Section.send_event

    def GstMpegts.Section.send_event (self, element):
        #python wrapper for 'gst_mpegts_section_send_event'

Creates a custom Gst.Event with a GstMpegtsSection and send it the element Gst.Element.

Parameters:

`section` (GstMpegts.Section) –

The GstMpegts.Section to put in the event

`element` (Gst.Element) –

The Gst.Element to send to section event to

Returns (bool) –

TRUE if the event was sent to the element.

### Functions

#### gst_mpegts_section_from_atsc_mgt

    GstMpegtsSection *
    gst_mpegts_section_from_atsc_mgt (GstMpegtsAtscMGT * mgt)

Parameters:

`mgt` ( [transfer: full]) –

a GstMpegtsAtscMGT to create the GstMpegtsSection from

Returns ( [transfer: full]) –

the GstMpegtsSection

Since : 1.18

#### GstMpegts.Section.prototype.from_atsc_mgt

    function GstMpegts.Section.prototype.from_atsc_mgt(mgt: GstMpegts.AtscMGT): {
        // javascript wrapper for 'gst_mpegts_section_from_atsc_mgt'
    }

Parameters:

`mgt` (GstMpegts.AtscMGT) –

a GstMpegts.AtscMGT to create the GstMpegts.Section from

Returns (GstMpegts.Section) –

the GstMpegts.Section

Since : 1.18

#### GstMpegts.Section.from_atsc_mgt

    def GstMpegts.Section.from_atsc_mgt (mgt):
        #python wrapper for 'gst_mpegts_section_from_atsc_mgt'

Parameters:

`mgt` (GstMpegts.AtscMGT) –

a GstMpegts.AtscMGT to create the GstMpegts.Section from

Returns (GstMpegts.Section) –

the GstMpegts.Section

Since : 1.18

#### gst_mpegts_section_from_atsc_rrt

    GstMpegtsSection *
    gst_mpegts_section_from_atsc_rrt (GstMpegtsAtscRRT * rrt)

Parameters:

`rrt` –
No description available
Returns –
No description available

#### GstMpegts.Section.prototype.from_atsc_rrt

    function GstMpegts.Section.prototype.from_atsc_rrt(rrt: GstMpegts.AtscRRT): {
        // javascript wrapper for 'gst_mpegts_section_from_atsc_rrt'
    }

Parameters:

`rrt` (GstMpegts.AtscRRT) –
No description available
Returns (GstMpegts.Section) –
No description available

#### GstMpegts.Section.from_atsc_rrt

    def GstMpegts.Section.from_atsc_rrt (rrt):
        #python wrapper for 'gst_mpegts_section_from_atsc_rrt'

Parameters:

`rrt` (GstMpegts.AtscRRT) –
No description available
Returns (GstMpegts.Section) –
No description available

#### gst_mpegts_section_from_atsc_stt

    GstMpegtsSection *
    gst_mpegts_section_from_atsc_stt (GstMpegtsAtscSTT * stt)

Parameters:

`stt` –
No description available
Returns –
No description available

#### GstMpegts.Section.prototype.from_atsc_stt

    function GstMpegts.Section.prototype.from_atsc_stt(stt: GstMpegts.AtscSTT): {
        // javascript wrapper for 'gst_mpegts_section_from_atsc_stt'
    }

Parameters:

`stt` (GstMpegts.AtscSTT) –
No description available
Returns (GstMpegts.Section) –
No description available

#### GstMpegts.Section.from_atsc_stt

    def GstMpegts.Section.from_atsc_stt (stt):
        #python wrapper for 'gst_mpegts_section_from_atsc_stt'

Parameters:

`stt` (GstMpegts.AtscSTT) –
No description available
Returns (GstMpegts.Section) –
No description available

#### gst_mpegts_section_from_nit

    GstMpegtsSection *
    gst_mpegts_section_from_nit (GstMpegtsNIT * nit)

Ownership of nit is taken. The data in nit is managed by the GstMpegtsSection

Parameters:

`nit` ( [transfer: full]) –

a GstMpegtsNIT to create the GstMpegtsSection from

Returns ( [transfer: full]) –

the GstMpegtsSection

#### GstMpegts.Section.prototype.from_nit

    function GstMpegts.Section.prototype.from_nit(nit: GstMpegts.NIT): {
        // javascript wrapper for 'gst_mpegts_section_from_nit'
    }

Ownership of nit is taken. The data in nit is managed by the GstMpegts.Section

Parameters:

`nit` (GstMpegts.NIT) –

a GstMpegts.NIT to create the GstMpegts.Section from

Returns (GstMpegts.Section) –

the GstMpegts.Section

#### GstMpegts.Section.from_nit

    def GstMpegts.Section.from_nit (nit):
        #python wrapper for 'gst_mpegts_section_from_nit'

Ownership of nit is taken. The data in nit is managed by the GstMpegts.Section

Parameters:

`nit` (GstMpegts.NIT) –

a GstMpegts.NIT to create the GstMpegts.Section from

Returns (GstMpegts.Section) –

the GstMpegts.Section

#### gst_mpegts_section_from_pat

    GstMpegtsSection *
    gst_mpegts_section_from_pat (GPtrArray * programs,
                                 guint16 ts_id)

Creates a PAT GstMpegtsSection from the programs array of GstMpegtsPatProgram

Parameters:

`programs` ( [transfer: full][element-typeGstMpegtsPatProgram]) –

an array of GstMpegtsPatProgram

`ts_id` –

Transport stream ID of the PAT

Returns ( [transfer: full]) –

a GstMpegtsSection

#### GstMpegts.Section.prototype.from_pat

    function GstMpegts.Section.prototype.from_pat(programs: [ GstMpegts.PatProgram ], ts_id: Number): {
        // javascript wrapper for 'gst_mpegts_section_from_pat'
    }

Creates a PAT GstMpegts.Section from the programs array of GstMpegts.PatProgram

Parameters:

`programs` ([ GstMpegts.PatProgram ]) –

an array of GstMpegts.PatProgram

`ts_id` (Number) –

Transport stream ID of the PAT

Returns (GstMpegts.Section) –

a GstMpegts.Section

#### GstMpegts.Section.from_pat

    def GstMpegts.Section.from_pat (programs, ts_id):
        #python wrapper for 'gst_mpegts_section_from_pat'

Creates a PAT GstMpegts.Section from the programs array of GstMpegts.PatProgram

Parameters:

`programs` ([ GstMpegts.PatProgram ]) –

an array of GstMpegts.PatProgram

`ts_id` (int) –

Transport stream ID of the PAT

Returns (GstMpegts.Section) –

a GstMpegts.Section

#### gst_mpegts_section_from_pmt

    GstMpegtsSection *
    gst_mpegts_section_from_pmt (GstMpegtsPMT * pmt,
                                 guint16 pid)

Creates a GstMpegtsSection from pmt that is bound to pid

Parameters:

`pmt` ( [transfer: full]) –

a GstMpegtsPMT to create a GstMpegtsSection from

`pid` –

The PID that the GstMpegtsPMT belongs to

Returns ( [transfer: full]) –

GstMpegtsSection

#### GstMpegts.Section.prototype.from_pmt

    function GstMpegts.Section.prototype.from_pmt(pmt: GstMpegts.PMT, pid: Number): {
        // javascript wrapper for 'gst_mpegts_section_from_pmt'
    }

Creates a GstMpegts.Section from pmt that is bound to pid

Parameters:

`pmt` (GstMpegts.PMT) –

a GstMpegts.PMT to create a GstMpegts.Section from

`pid` (Number) –

The PID that the GstMpegts.PMT belongs to

Returns (GstMpegts.Section) –

GstMpegts.Section

#### GstMpegts.Section.from_pmt

    def GstMpegts.Section.from_pmt (pmt, pid):
        #python wrapper for 'gst_mpegts_section_from_pmt'

Creates a GstMpegts.Section from pmt that is bound to pid

Parameters:

`pmt` (GstMpegts.PMT) –

a GstMpegts.PMT to create a GstMpegts.Section from

`pid` (int) –

The PID that the GstMpegts.PMT belongs to

Returns (GstMpegts.Section) –

GstMpegts.Section

#### gst_mpegts_section_from_scte_sit

    GstMpegtsSection *
    gst_mpegts_section_from_scte_sit (GstMpegtsSCTESIT * sit,
                                      guint16 pid)

Ownership of sit is taken. The data in sit is managed by the GstMpegtsSection

Parameters:

`sit` ( [transfer: full]) –

a GstMpegtsSCTESIT to create the GstMpegtsSection from

`pid` –
No description available
Returns ( [transfer: full]) –

the GstMpegtsSection

#### GstMpegts.Section.prototype.from_scte_sit

    function GstMpegts.Section.prototype.from_scte_sit(sit: GstMpegts.SCTESIT, pid: Number): {
        // javascript wrapper for 'gst_mpegts_section_from_scte_sit'
    }

Ownership of sit is taken. The data in sit is managed by the GstMpegts.Section

Parameters:

`sit` (GstMpegts.SCTESIT) –

a GstMpegts.SCTESIT to create the GstMpegts.Section from

`pid` (Number) –
No description available
Returns (GstMpegts.Section) –

the GstMpegts.Section

#### GstMpegts.Section.from_scte_sit

    def GstMpegts.Section.from_scte_sit (sit, pid):
        #python wrapper for 'gst_mpegts_section_from_scte_sit'

Ownership of sit is taken. The data in sit is managed by the GstMpegts.Section

Parameters:

`sit` (GstMpegts.SCTESIT) –

a GstMpegts.SCTESIT to create the GstMpegts.Section from

`pid` (int) –
No description available
Returns (GstMpegts.Section) –

the GstMpegts.Section

#### gst_mpegts_section_from_sdt

    GstMpegtsSection *
    gst_mpegts_section_from_sdt (GstMpegtsSDT * sdt)

Ownership of sdt is taken. The data in sdt is managed by the GstMpegtsSection

Parameters:

`sdt` ( [transfer: full]) –

a GstMpegtsSDT to create the GstMpegtsSection from

Returns ( [transfer: full]) –

the GstMpegtsSection

#### GstMpegts.Section.prototype.from_sdt

    function GstMpegts.Section.prototype.from_sdt(sdt: GstMpegts.SDT): {
        // javascript wrapper for 'gst_mpegts_section_from_sdt'
    }

Ownership of sdt is taken. The data in sdt is managed by the GstMpegts.Section

Parameters:

`sdt` (GstMpegts.SDT) –

a GstMpegts.SDT to create the GstMpegts.Section from

Returns (GstMpegts.Section) –

the GstMpegts.Section

#### GstMpegts.Section.from_sdt

    def GstMpegts.Section.from_sdt (sdt):
        #python wrapper for 'gst_mpegts_section_from_sdt'

Ownership of sdt is taken. The data in sdt is managed by the GstMpegts.Section

Parameters:

`sdt` (GstMpegts.SDT) –

a GstMpegts.SDT to create the GstMpegts.Section from

Returns (GstMpegts.Section) –

the GstMpegts.Section

## Functions

### gst_event_new_mpegts_section

    GstEvent *
    gst_event_new_mpegts_section (GstMpegtsSection * section)

Creates a new GstEvent for a GstMpegtsSection.

Parameters:

`section` ( [transfer: none]) –

The GstMpegtsSection to put in a message

Returns ( [transfer: full]) –

The new custom GstEvent.

Since : 1.20

### GstMpegts.prototype.event_new_mpegts_section

    function GstMpegts.prototype.event_new_mpegts_section(section: GstMpegts.Section): {
        // javascript wrapper for 'gst_event_new_mpegts_section'
    }

Creates a new Gst.Event for a GstMpegts.Section.

Parameters:

`section` (GstMpegts.Section) –

The GstMpegts.Section to put in a message

Returns (Gst.Event) –

The new custom Gst.Event.

Since : 1.20

### GstMpegts.event_new_mpegts_section

    def GstMpegts.event_new_mpegts_section (section):
        #python wrapper for 'gst_event_new_mpegts_section'

Creates a new Gst.Event for a GstMpegts.Section.

Parameters:

`section` (GstMpegts.Section) –

The GstMpegts.Section to put in a message

Returns (Gst.Event) –

The new custom Gst.Event.

Since : 1.20

### gst_event_parse_mpegts_section

    GstMpegtsSection *
    gst_event_parse_mpegts_section (GstEvent * event)

Extracts the GstMpegtsSection contained in the event GstEvent

Parameters:

`event` ( [transfer: none]) –

GstEvent containing a GstMpegtsSection

Returns ( [transfer: full]) –

The extracted GstMpegtsSection , or NULL if the event did not contain a valid GstMpegtsSection.

### GstMpegts.prototype.event_parse_mpegts_section

    function GstMpegts.prototype.event_parse_mpegts_section(event: Gst.Event): {
        // javascript wrapper for 'gst_event_parse_mpegts_section'
    }

Extracts the GstMpegts.Section contained in the event Gst.Event

Parameters:

`event` (Gst.Event) –

Gst.Event containing a GstMpegts.Section

Returns (GstMpegts.Section) –

The extracted GstMpegts.Section , or NULL if the event did not contain a valid GstMpegts.Section.

### GstMpegts.event_parse_mpegts_section

    def GstMpegts.event_parse_mpegts_section (event):
        #python wrapper for 'gst_event_parse_mpegts_section'

Extracts the GstMpegts.Section contained in the event Gst.Event

Parameters:

`event` (Gst.Event) –

Gst.Event containing a GstMpegts.Section

Returns (GstMpegts.Section) –

The extracted GstMpegts.Section , or NULL if the event did not contain a valid GstMpegts.Section.

### gst_message_new_mpegts_section

    GstMessage *
    gst_message_new_mpegts_section (GstObject * parent,
                                    GstMpegtsSection * section)

Creates a new GstMessage for a GstMpegtsSection.

Parameters:

`parent` ( [transfer: none]) –

The creator of the message

`section` ( [transfer: none]) –

The GstMpegtsSection to put in a message

Returns ( [transfer: full]) –

The new GstMessage to be posted, or NULL if the section is not valid.

### GstMpegts.prototype.message_new_mpegts_section

    function GstMpegts.prototype.message_new_mpegts_section(parent: Gst.Object, section: GstMpegts.Section): {
        // javascript wrapper for 'gst_message_new_mpegts_section'
    }

Creates a new Gst.Message for a GstMpegtsSection.

Parameters:

`parent` (Gst.Object) –

The creator of the message

`section` (GstMpegts.Section) –

The GstMpegts.Section to put in a message

Returns (Gst.Message) –

The new Gst.Message to be posted, or NULL if the section is not valid.

### GstMpegts.message_new_mpegts_section

    def GstMpegts.message_new_mpegts_section (parent, section):
        #python wrapper for 'gst_message_new_mpegts_section'

Creates a new Gst.Message for a GstMpegtsSection.

Parameters:

`parent` (Gst.Object) –

The creator of the message

`section` (GstMpegts.Section) –

The GstMpegts.Section to put in a message

Returns (Gst.Message) –

The new Gst.Message to be posted, or NULL if the section is not valid.

### gst_message_parse_mpegts_section

    GstMpegtsSection *
    gst_message_parse_mpegts_section (GstMessage * message)

Returns the GstMpegtsSection contained in a message.

Parameters:

`message` –

a GstMessage

Returns ( [transfer: full]) –

the contained GstMpegtsSection, or NULL.

### GstMpegts.prototype.message_parse_mpegts_section

    function GstMpegts.prototype.message_parse_mpegts_section(message: Gst.Message): {
        // javascript wrapper for 'gst_message_parse_mpegts_section'
    }

Returns the GstMpegts.Section contained in a message.

Parameters:

`message` (Gst.Message) –

a Gst.Message

Returns (GstMpegts.Section) –

the contained GstMpegts.Section, or NULL.

### GstMpegts.message_parse_mpegts_section

    def GstMpegts.message_parse_mpegts_section (message):
        #python wrapper for 'gst_message_parse_mpegts_section'

Returns the GstMpegts.Section contained in a message.

Parameters:

`message` (Gst.Message) –

a Gst.Message

Returns (GstMpegts.Section) –

the contained GstMpegts.Section, or NULL.

### gst_mpegts_pat_new

    GPtrArray *
    gst_mpegts_pat_new ()

Allocates a new GPtrArray for GstMpegtsPatProgram. The array can be filled and then converted to a PAT section with gst_mpegts_section_from_pat.

Returns ( [transfer: full][element-typeGstMpegtsPatProgram]) –

A newly allocated GPtrArray

### GstMpegts.prototype.pat_new

    function GstMpegts.prototype.pat_new(): {
        // javascript wrapper for 'gst_mpegts_pat_new'
    }

Allocates a new GPtrArray (not introspectable) for GstMpegts.PatProgram. The array can be filled and then converted to a PAT section with GstMpegts.Section.prototype.from_pat.

Returns ([ GstMpegts.PatProgram ]) –

A newly allocated GPtrArray (not introspectable)

### GstMpegts.pat_new

    def GstMpegts.pat_new ():
        #python wrapper for 'gst_mpegts_pat_new'

Allocates a new GPtrArray (not introspectable) for GstMpegts.PatProgram. The array can be filled and then converted to a PAT section with GstMpegts.Section.from_pat.

Returns ([ GstMpegts.PatProgram ]) –

A newly allocated GPtrArray (not introspectable)

## Function Macros

### gst_mpegts_section_ref

    #define gst_mpegts_section_ref(section)   ((GstMpegtsSection*) gst_mini_object_ref (GST_MINI_OBJECT_CAST (section)))

### gst_mpegts_section_unref

    #define gst_mpegts_section_unref(section) (gst_mini_object_unref (GST_MINI_OBJECT_CAST (section)))

## Enumerations

### GstMpegtsSectionTableID

Values for a GstMpegtsSection table_id

These are the registered ITU H.222.0 | ISO/IEC 13818-1 table_id variants.

see also GstMpegtsSectionATSCTableID, GstMpegtsSectionDVBTableID, and GstMpegtsSectionSCTETableID

##### Members

`GST_MTS_TABLE_ID_PROGRAM_ASSOCIATION` (0) –

Program Association Table (PAT)

`GST_MTS_TABLE_ID_CONDITIONAL_ACCESS` (1) –

Conditional Access Table (CAT)

`GST_MTS_TABLE_ID_TS_PROGRAM_MAP` (2) –

Program Map Table (PMT)

`GST_MTS_TABLE_ID_TS_DESCRIPTION` (3) –

Transport Stream Description Table

`GST_MTS_TABLE_ID_14496_SCENE_DESCRIPTION` (4) –

ISO/IEC 14496 Scene Description Table

`GST_MTS_TABLE_ID_14496_OBJET_DESCRIPTOR` (5) –

ISO/IEC 14496 Object Descriptor Table

`GST_MTS_TABLE_ID_METADATA` (6) –

Metadata Section

`GST_MTS_TABLE_ID_IPMP_CONTROL_INFORMATION` (7) –

IPMP Control Information

`GST_MTS_TABLE_ID_14496_SECTION` (8) –

ISO/IEC 14496 Section.

(Since: 1.20)
`GST_MTS_TABLE_ID_23001_11_SECTION` (9) –

ISO/IEC 23001-11 (Green Access Unit) Section.

(Since: 1.20)
`GST_MTS_TABLE_ID_23001_10_SECTION` (10) –

ISO/ISO 23001-10 (Quality Access Unit) Section.

(Since: 1.20)
`GST_MTS_TABLE_ID_DSM_CC_MULTIPROTO_ENCAPSULATED_DATA` (58) –

DSM-CC Multi-Protocol Encapsulated (MPE) Data

`GST_MTS_TABLE_ID_DSM_CC_U_N_MESSAGES` (59) –

DSM-CC U-N Messages

`GST_MTS_TABLE_ID_DSM_CC_DOWNLOAD_DATA_MESSAGES` (60) –

DSM-CC Download Data Messages

`GST_MTS_TABLE_ID_DSM_CC_STREAM_DESCRIPTORS` (61) –

DSM-CC Stream Descriptors

`GST_MTS_TABLE_ID_DSM_CC_PRIVATE_DATA` (62) –

DSM-CC Private Data

`GST_MTS_TABLE_ID_DSM_CC_ADDRESSABLE_SECTIONS` (63) –

DSM-CC Addressable Section

`GST_MTS_TABLE_ID_UNSET` (255) –

Unset section table_id (value is forbidden to use in actual sections)

### GstMpegts.SectionTableID

Values for a GstMpegts.Section table_id

These are the registered ITU H.222.0 | ISO/IEC 13818-1 table_id variants.

see also GstMpegts.SectionATSCTableID, GstMpegts.SectionDVBTableID, and GstMpegts.SectionSCTETableID

##### Members

`GstMpegts.SectionTableID.PROGRAM_ASSOCIATION` (0) –

Program Association Table (PAT)

`GstMpegts.SectionTableID.CONDITIONAL_ACCESS` (1) –

Conditional Access Table (CAT)

`GstMpegts.SectionTableID.TS_PROGRAM_MAP` (2) –

Program Map Table (PMT)

`GstMpegts.SectionTableID.TS_DESCRIPTION` (3) –

Transport Stream Description Table

`GstMpegts.SectionTableID.14496_SCENE_DESCRIPTION` (4) –

ISO/IEC 14496 Scene Description Table

`GstMpegts.SectionTableID.14496_OBJET_DESCRIPTOR` (5) –

ISO/IEC 14496 Object Descriptor Table

`GstMpegts.SectionTableID.METADATA` (6) –

Metadata Section

`GstMpegts.SectionTableID.IPMP_CONTROL_INFORMATION` (7) –

IPMP Control Information

`GstMpegts.SectionTableID.14496_SECTION` (8) –

ISO/IEC 14496 Section.

(Since: 1.20)
`GstMpegts.SectionTableID.23001_11_SECTION` (9) –

ISO/IEC 23001-11 (Green Access Unit) Section.

(Since: 1.20)
`GstMpegts.SectionTableID.23001_10_SECTION` (10) –

ISO/ISO 23001-10 (Quality Access Unit) Section.

(Since: 1.20)
`GstMpegts.SectionTableID.DSM_CC_MULTIPROTO_ENCAPSULATED_DATA` (58) –

DSM-CC Multi-Protocol Encapsulated (MPE) Data

`GstMpegts.SectionTableID.DSM_CC_U_N_MESSAGES` (59) –

DSM-CC U-N Messages

`GstMpegts.SectionTableID.DSM_CC_DOWNLOAD_DATA_MESSAGES` (60) –

DSM-CC Download Data Messages

`GstMpegts.SectionTableID.DSM_CC_STREAM_DESCRIPTORS` (61) –

DSM-CC Stream Descriptors

`GstMpegts.SectionTableID.DSM_CC_PRIVATE_DATA` (62) –

DSM-CC Private Data

`GstMpegts.SectionTableID.DSM_CC_ADDRESSABLE_SECTIONS` (63) –

DSM-CC Addressable Section

`GstMpegts.SectionTableID.UNSET` (255) –

Unset section table_id (value is forbidden to use in actual sections)

### GstMpegts.SectionTableID

Values for a GstMpegts.Section table_id

These are the registered ITU H.222.0 | ISO/IEC 13818-1 table_id variants.

see also GstMpegts.SectionATSCTableID, GstMpegts.SectionDVBTableID, and GstMpegts.SectionSCTETableID

##### Members

`GstMpegts.SectionTableID.PROGRAM_ASSOCIATION` (0) –

Program Association Table (PAT)

`GstMpegts.SectionTableID.CONDITIONAL_ACCESS` (1) –

Conditional Access Table (CAT)

`GstMpegts.SectionTableID.TS_PROGRAM_MAP` (2) –

Program Map Table (PMT)

`GstMpegts.SectionTableID.TS_DESCRIPTION` (3) –

Transport Stream Description Table

`GstMpegts.SectionTableID.14496_SCENE_DESCRIPTION` (4) –

ISO/IEC 14496 Scene Description Table

`GstMpegts.SectionTableID.14496_OBJET_DESCRIPTOR` (5) –

ISO/IEC 14496 Object Descriptor Table

`GstMpegts.SectionTableID.METADATA` (6) –

Metadata Section

`GstMpegts.SectionTableID.IPMP_CONTROL_INFORMATION` (7) –

IPMP Control Information

`GstMpegts.SectionTableID.14496_SECTION` (8) –

ISO/IEC 14496 Section.

(Since: 1.20)
`GstMpegts.SectionTableID.23001_11_SECTION` (9) –

ISO/IEC 23001-11 (Green Access Unit) Section.

(Since: 1.20)
`GstMpegts.SectionTableID.23001_10_SECTION` (10) –

ISO/ISO 23001-10 (Quality Access Unit) Section.

(Since: 1.20)
`GstMpegts.SectionTableID.DSM_CC_MULTIPROTO_ENCAPSULATED_DATA` (58) –

DSM-CC Multi-Protocol Encapsulated (MPE) Data

`GstMpegts.SectionTableID.DSM_CC_U_N_MESSAGES` (59) –

DSM-CC U-N Messages

`GstMpegts.SectionTableID.DSM_CC_DOWNLOAD_DATA_MESSAGES` (60) –

DSM-CC Download Data Messages

`GstMpegts.SectionTableID.DSM_CC_STREAM_DESCRIPTORS` (61) –

DSM-CC Stream Descriptors

`GstMpegts.SectionTableID.DSM_CC_PRIVATE_DATA` (62) –

DSM-CC Private Data

`GstMpegts.SectionTableID.DSM_CC_ADDRESSABLE_SECTIONS` (63) –

DSM-CC Addressable Section

`GstMpegts.SectionTableID.UNSET` (255) –

Unset section table_id (value is forbidden to use in actual sections)

### GstMpegtsSectionType

Types of GstMpegtsSection that the library handles. This covers all the MPEG-TS and derivate specification that the library can properly identify and use.

##### Members

`GST_MPEGTS_SECTION_UNKNOWN` (0) –

Unknown section type

`GST_MPEGTS_SECTION_PAT` (1) –

Program Association Table (ISO/IEC 13818-1)

`GST_MPEGTS_SECTION_PMT` (2) –

Program Map Table (ISO/IEC 13818-1)

`GST_MPEGTS_SECTION_CAT` (3) –

Conditional Access Table (ISO/IEC 13818-1)

`GST_MPEGTS_SECTION_TSDT` (4) –

Transport Stream Description Table (ISO/IEC 13818-1)

`GST_MPEGTS_SECTION_EIT` (5) –

Event Information Table (EN 300 468)

`GST_MPEGTS_SECTION_NIT` (6) –

Network Information Table (ISO/IEC 13818-1 / EN 300 468)

`GST_MPEGTS_SECTION_BAT` (7) –

Bouquet Association Table ((EN 300 468)

`GST_MPEGTS_SECTION_SDT` (8) –

Service Description Table (EN 300 468)

`GST_MPEGTS_SECTION_TDT` (9) –

Time and Date Table (EN 300 468)

`GST_MPEGTS_SECTION_TOT` (10) –

Time Offset Table (EN 300 468)

`GST_MPEGTS_SECTION_SIT` (11) –

Selection Information Table (EN 300 468)

(Since: 1.20)
`GST_MPEGTS_SECTION_ATSC_TVCT` (12) –

ATSC Terrestrial Virtual Channel Table (A65)

`GST_MPEGTS_SECTION_ATSC_CVCT` (13) –

ATSC Cable Virtual Channel Table (A65)

`GST_MPEGTS_SECTION_ATSC_MGT` (14) –

ATSC Master Guide Table (A65)

`GST_MPEGTS_SECTION_ATSC_ETT` (15) –

ATSC Extended Text Table (A65)

`GST_MPEGTS_SECTION_ATSC_EIT` (16) –

ATSC Event Information Table (A65)

`GST_MPEGTS_SECTION_ATSC_STT` (17) –

ATSC System Time Table (A65)

`GST_MPEGTS_SECTION_ATSC_RRT` (18) –

ATSC Rating Region Table (A65)

`GST_MPEGTS_SECTION_SCTE_SIT` (19) –

SCTE Splice Information Table (SCTE-35)

### GstMpegts.SectionType

Types of GstMpegts.Section that the library handles. This covers all the MPEG-TS and derivate specification that the library can properly identify and use.

##### Members

`GstMpegts.SectionType.UNKNOWN` (0) –

Unknown section type

`GstMpegts.SectionType.PAT` (1) –

Program Association Table (ISO/IEC 13818-1)

`GstMpegts.SectionType.PMT` (2) –

Program Map Table (ISO/IEC 13818-1)

`GstMpegts.SectionType.CAT` (3) –

Conditional Access Table (ISO/IEC 13818-1)

`GstMpegts.SectionType.TSDT` (4) –

Transport Stream Description Table (ISO/IEC 13818-1)

`GstMpegts.SectionType.EIT` (5) –

Event Information Table (EN 300 468)

`GstMpegts.SectionType.NIT` (6) –

Network Information Table (ISO/IEC 13818-1 / EN 300 468)

`GstMpegts.SectionType.BAT` (7) –

Bouquet Association Table ((EN 300 468)

`GstMpegts.SectionType.SDT` (8) –

Service Description Table (EN 300 468)

`GstMpegts.SectionType.TDT` (9) –

Time and Date Table (EN 300 468)

`GstMpegts.SectionType.TOT` (10) –

Time Offset Table (EN 300 468)

`GstMpegts.SectionType.SIT` (11) –

Selection Information Table (EN 300 468)

(Since: 1.20)
`GstMpegts.SectionType.ATSC_TVCT` (12) –

ATSC Terrestrial Virtual Channel Table (A65)

`GstMpegts.SectionType.ATSC_CVCT` (13) –

ATSC Cable Virtual Channel Table (A65)

`GstMpegts.SectionType.ATSC_MGT` (14) –

ATSC Master Guide Table (A65)

`GstMpegts.SectionType.ATSC_ETT` (15) –

ATSC Extended Text Table (A65)

`GstMpegts.SectionType.ATSC_EIT` (16) –

ATSC Event Information Table (A65)

`GstMpegts.SectionType.ATSC_STT` (17) –

ATSC System Time Table (A65)

`GstMpegts.SectionType.ATSC_RRT` (18) –

ATSC Rating Region Table (A65)

`GstMpegts.SectionType.SCTE_SIT` (19) –

SCTE Splice Information Table (SCTE-35)

### GstMpegts.SectionType

Types of GstMpegts.Section that the library handles. This covers all the MPEG-TS and derivate specification that the library can properly identify and use.

##### Members

`GstMpegts.SectionType.UNKNOWN` (0) –

Unknown section type

`GstMpegts.SectionType.PAT` (1) –

Program Association Table (ISO/IEC 13818-1)

`GstMpegts.SectionType.PMT` (2) –

Program Map Table (ISO/IEC 13818-1)

`GstMpegts.SectionType.CAT` (3) –

Conditional Access Table (ISO/IEC 13818-1)

`GstMpegts.SectionType.TSDT` (4) –

Transport Stream Description Table (ISO/IEC 13818-1)

`GstMpegts.SectionType.EIT` (5) –

Event Information Table (EN 300 468)

`GstMpegts.SectionType.NIT` (6) –

Network Information Table (ISO/IEC 13818-1 / EN 300 468)

`GstMpegts.SectionType.BAT` (7) –

Bouquet Association Table ((EN 300 468)

`GstMpegts.SectionType.SDT` (8) –

Service Description Table (EN 300 468)

`GstMpegts.SectionType.TDT` (9) –

Time and Date Table (EN 300 468)

`GstMpegts.SectionType.TOT` (10) –

Time Offset Table (EN 300 468)

`GstMpegts.SectionType.SIT` (11) –

Selection Information Table (EN 300 468)

(Since: 1.20)
`GstMpegts.SectionType.ATSC_TVCT` (12) –

ATSC Terrestrial Virtual Channel Table (A65)

`GstMpegts.SectionType.ATSC_CVCT` (13) –

ATSC Cable Virtual Channel Table (A65)

`GstMpegts.SectionType.ATSC_MGT` (14) –

ATSC Master Guide Table (A65)

`GstMpegts.SectionType.ATSC_ETT` (15) –

ATSC Extended Text Table (A65)

`GstMpegts.SectionType.ATSC_EIT` (16) –

ATSC Event Information Table (A65)

`GstMpegts.SectionType.ATSC_STT` (17) –

ATSC System Time Table (A65)

`GstMpegts.SectionType.ATSC_RRT` (18) –

ATSC Rating Region Table (A65)

`GstMpegts.SectionType.SCTE_SIT` (19) –

SCTE Splice Information Table (SCTE-35)

### GstMpegtsStreamType

Type of MPEG-TS stream type.

These values correspond to the base standard registered types. Depending on the variant of mpeg-ts being used (Bluray, ATSC, DVB, ...), other types might also be used, but will not conflict with these.

Corresponds to table 2-34 of ITU H.222.0 | ISO/IEC 13818-1

##### Members

`GST_MPEGTS_STREAM_TYPE_RESERVED_00` (0) –

ITU-T | ISO/IEC Reserved

`GST_MPEGTS_STREAM_TYPE_VIDEO_MPEG1` (1) –

ISO/IEC 11172-2 Video (i.e. MPEG-1 Video)

`GST_MPEGTS_STREAM_TYPE_VIDEO_MPEG2` (2) –

Rec. ITU-T H.262 | ISO/IEC 13818-2 Video or ISO/IEC 11172-2 constrained parameter video stream (i.e. MPEG-2 Video)

`GST_MPEGTS_STREAM_TYPE_AUDIO_MPEG1` (3) –

ISO/IEC 11172-3 Audio

`GST_MPEGTS_STREAM_TYPE_AUDIO_MPEG2` (4) –

ISO/IEC 13818-3 Audio

`GST_MPEGTS_STREAM_TYPE_PRIVATE_SECTIONS` (5) –

private sections

`GST_MPEGTS_STREAM_TYPE_PRIVATE_PES_PACKETS` (6) –

PES packets containing private data

`GST_MPEGTS_STREAM_TYPE_MHEG` (7) –

ISO/IEC 13522 MHEG

`GST_MPEGTS_STREAM_TYPE_DSM_CC` (8) –

Annex A DSM-CC

`GST_MPEGTS_STREAM_TYPE_H_222_1` (9) –

Rec. ITU-T H.222.1

`GST_MPEGTS_STREAM_TYPE_DSMCC_A` (10) –

ISO/IEC 13818-6 type A

`GST_MPEGTS_STREAM_TYPE_DSMCC_B` (11) –

ISO/IEC 13818-6 type B

`GST_MPEGTS_STREAM_TYPE_DSMCC_C` (12) –

ISO/IEC 13818-6 type C

`GST_MPEGTS_STREAM_TYPE_DSMCC_D` (13) –

ISO/IEC 13818-6 type D

`GST_MPEGTS_STREAM_TYPE_AUXILIARY` (14) –

auxiliary streams

`GST_MPEGTS_STREAM_TYPE_AUDIO_AAC_ADTS` (15) –

ISO/IEC 13818-7 Audio (AAC) with ADTS transport syntax

`GST_MPEGTS_STREAM_TYPE_VIDEO_MPEG4` (16) –

ISO/IEC 14496-2 Visual (MPEG-4 Video)

`GST_MPEGTS_STREAM_TYPE_AUDIO_AAC_LATM` (17) –

ISO/IEC 14496-3 Audio (AAC) with the LATM transport syntax as defined in ISO/IEC 14496-3

`GST_MPEGTS_STREAM_TYPE_SL_FLEXMUX_PES_PACKETS` (18) –

ISO/IEC 14496-1 SL-packetized stream or FlexMux stream carried in PES packets

`GST_MPEGTS_STREAM_TYPE_SL_FLEXMUX_SECTIONS` (19) –

ISO/IEC 14496-1 SL-packetized stream or FlexMux stream carried in ISO/IEC 14496_sections

`GST_MPEGTS_STREAM_TYPE_SYNCHRONIZED_DOWNLOAD` (20) –

ISO/IEC 13818-6 Synchronized Download Protocol

`GST_MPEGTS_STREAM_TYPE_METADATA_PES_PACKETS` (21) –

Metadata carried in PES packets

`GST_MPEGTS_STREAM_TYPE_METADATA_SECTIONS` (22) –

Metadata carried in metadata_sections

`GST_MPEGTS_STREAM_TYPE_METADATA_DATA_CAROUSEL` (23) –

Metadata carried in ISO/IEC 13818-6 Data Carousel

`GST_MPEGTS_STREAM_TYPE_METADATA_OBJECT_CAROUSEL` (24) –

Metadata carried in ISO/IEC 13818-6 Object Carousel

`GST_MPEGTS_STREAM_TYPE_METADATA_SYNCHRONIZED_DOWNLOAD` (25) –

Metadata carried in ISO/IEC 13818-6 Synchronized Download Protocol

`GST_MPEGTS_STREAM_TYPE_MPEG2_IPMP` (26) –

IPMP stream (defined in ISO/IEC 13818-11, MPEG-2 IPMP)

`GST_MPEGTS_STREAM_TYPE_VIDEO_H264` (27) –

AVC video stream conforming to one or more profiles defined in Annex A of Rec. ITU-T H.264 | ISO/IEC 14496-10 or AVC video sub-bitstream of SVC as defined in 2.1.78 or MVC base view sub-bitstream, as defined in 2.1.85, or AVC video sub-bitstream of MVC, as defined in 2.1.88

`GST_MPEGTS_STREAM_TYPE_AUDIO_AAC_CLEAN` (28) –

ISO/IEC 14496-3 (AAC) Audio, without using any additional transport syntax, such as DST, ALS and SLS

`GST_MPEGTS_STREAM_TYPE_MPEG4_TIMED_TEXT` (29) –

ISO/IEC 14496-17 Text

`GST_MPEGTS_STREAM_TYPE_VIDEO_RVC` (30) –

Auxiliary video stream as defined in ISO/IEC 23002-3

`GST_MPEGTS_STREAM_TYPE_VIDEO_H264_SVC_SUB_BITSTREAM` (31) –

SVC video sub-bitstream of an AVC video stream conforming to one or more profiles defined in Annex G of Rec. ITU-T H.264 | ISO/IEC 14496-10

`GST_MPEGTS_STREAM_TYPE_VIDEO_H264_MVC_SUB_BITSTREAM` (32) –

MVC video sub-bitstream of an AVC video stream conforming to one or more profiles defined in Annex H of Rec. ITU-T H.264 | ISO/IEC 14496-10

`GST_MPEGTS_STREAM_TYPE_VIDEO_JP2K` (33) –

Video stream conforming to one or more profiles as defined in Rec. ITU-T T.800 | ISO/IEC 15444-1 (i.e. JPEG 2000)

`GST_MPEGTS_STREAM_TYPE_VIDEO_MPEG2_STEREO_ADDITIONAL_VIEW` (34) –

Additional view Rec. ITU-T H.262 | ISO/IEC 13818-2 video stream for service-compatible stereoscopic 3D services

`GST_MPEGTS_STREAM_TYPE_VIDEO_H264_STEREO_ADDITIONAL_VIEW` (35) –

Additional view Rec. ITU-T H.264 | ISO/IEC 14496-10 video stream conforming to one or more profiles defined in Annex A for service-compatible stereoscopic 3D services

`GST_MPEGTS_STREAM_TYPE_VIDEO_HEVC` (36) –

Rec. ITU-T H.265 | ISO/IEC 23008-2 video stream or an HEVC temporal video sub-bitstream

`GST_MPEGTS_STREAM_TYPE_IPMP_STREAM` (127) –

IPMP stream

`GST_MPEGTS_STREAM_TYPE_USER_PRIVATE_EA` (234) –

User Private stream id (used for VC-1) as defined by SMPTE RP227.

(Since: 1.20)

### GstMpegts.StreamType

Type of MPEG-TS stream type.

These values correspond to the base standard registered types. Depending on the variant of mpeg-ts being used (Bluray, ATSC, DVB, ...), other types might also be used, but will not conflict with these.

Corresponds to table 2-34 of ITU H.222.0 | ISO/IEC 13818-1

##### Members

`GstMpegts.StreamType.RESERVED_00` (0) –

ITU-T | ISO/IEC Reserved

`GstMpegts.StreamType.VIDEO_MPEG1` (1) –

ISO/IEC 11172-2 Video (i.e. MPEG-1 Video)

`GstMpegts.StreamType.VIDEO_MPEG2` (2) –

Rec. ITU-T H.262 | ISO/IEC 13818-2 Video or ISO/IEC 11172-2 constrained parameter video stream (i.e. MPEG-2 Video)

`GstMpegts.StreamType.AUDIO_MPEG1` (3) –

ISO/IEC 11172-3 Audio

`GstMpegts.StreamType.AUDIO_MPEG2` (4) –

ISO/IEC 13818-3 Audio

`GstMpegts.StreamType.PRIVATE_SECTIONS` (5) –

private sections

`GstMpegts.StreamType.PRIVATE_PES_PACKETS` (6) –

PES packets containing private data

`GstMpegts.StreamType.MHEG` (7) –

ISO/IEC 13522 MHEG

`GstMpegts.StreamType.DSM_CC` (8) –

Annex A DSM-CC

`GstMpegts.StreamType.H_222_1` (9) –

Rec. ITU-T H.222.1

`GstMpegts.StreamType.DSMCC_A` (10) –

ISO/IEC 13818-6 type A

`GstMpegts.StreamType.DSMCC_B` (11) –

ISO/IEC 13818-6 type B

`GstMpegts.StreamType.DSMCC_C` (12) –

ISO/IEC 13818-6 type C

`GstMpegts.StreamType.DSMCC_D` (13) –

ISO/IEC 13818-6 type D

`GstMpegts.StreamType.AUXILIARY` (14) –

auxiliary streams

`GstMpegts.StreamType.AUDIO_AAC_ADTS` (15) –

ISO/IEC 13818-7 Audio (AAC) with ADTS transport syntax

`GstMpegts.StreamType.VIDEO_MPEG4` (16) –

ISO/IEC 14496-2 Visual (MPEG-4 Video)

`GstMpegts.StreamType.AUDIO_AAC_LATM` (17) –

ISO/IEC 14496-3 Audio (AAC) with the LATM transport syntax as defined in ISO/IEC 14496-3

`GstMpegts.StreamType.SL_FLEXMUX_PES_PACKETS` (18) –

ISO/IEC 14496-1 SL-packetized stream or FlexMux stream carried in PES packets

`GstMpegts.StreamType.SL_FLEXMUX_SECTIONS` (19) –

ISO/IEC 14496-1 SL-packetized stream or FlexMux stream carried in ISO/IEC 14496_sections

`GstMpegts.StreamType.SYNCHRONIZED_DOWNLOAD` (20) –

ISO/IEC 13818-6 Synchronized Download Protocol

`GstMpegts.StreamType.METADATA_PES_PACKETS` (21) –

Metadata carried in PES packets

`GstMpegts.StreamType.METADATA_SECTIONS` (22) –

Metadata carried in metadata_sections

`GstMpegts.StreamType.METADATA_DATA_CAROUSEL` (23) –

Metadata carried in ISO/IEC 13818-6 Data Carousel

`GstMpegts.StreamType.METADATA_OBJECT_CAROUSEL` (24) –

Metadata carried in ISO/IEC 13818-6 Object Carousel

`GstMpegts.StreamType.METADATA_SYNCHRONIZED_DOWNLOAD` (25) –

Metadata carried in ISO/IEC 13818-6 Synchronized Download Protocol

`GstMpegts.StreamType.MPEG2_IPMP` (26) –

IPMP stream (defined in ISO/IEC 13818-11, MPEG-2 IPMP)

`GstMpegts.StreamType.VIDEO_H264` (27) –

AVC video stream conforming to one or more profiles defined in Annex A of Rec. ITU-T H.264 | ISO/IEC 14496-10 or AVC video sub-bitstream of SVC as defined in 2.1.78 or MVC base view sub-bitstream, as defined in 2.1.85, or AVC video sub-bitstream of MVC, as defined in 2.1.88

`GstMpegts.StreamType.AUDIO_AAC_CLEAN` (28) –

ISO/IEC 14496-3 (AAC) Audio, without using any additional transport syntax, such as DST, ALS and SLS

`GstMpegts.StreamType.MPEG4_TIMED_TEXT` (29) –

ISO/IEC 14496-17 Text

`GstMpegts.StreamType.VIDEO_RVC` (30) –

Auxiliary video stream as defined in ISO/IEC 23002-3

`GstMpegts.StreamType.VIDEO_H264_SVC_SUB_BITSTREAM` (31) –

SVC video sub-bitstream of an AVC video stream conforming to one or more profiles defined in Annex G of Rec. ITU-T H.264 | ISO/IEC 14496-10

`GstMpegts.StreamType.VIDEO_H264_MVC_SUB_BITSTREAM` (32) –

MVC video sub-bitstream of an AVC video stream conforming to one or more profiles defined in Annex H of Rec. ITU-T H.264 | ISO/IEC 14496-10

`GstMpegts.StreamType.VIDEO_JP2K` (33) –

Video stream conforming to one or more profiles as defined in Rec. ITU-T T.800 | ISO/IEC 15444-1 (i.e. JPEG 2000)

`GstMpegts.StreamType.VIDEO_MPEG2_STEREO_ADDITIONAL_VIEW` (34) –

Additional view Rec. ITU-T H.262 | ISO/IEC 13818-2 video stream for service-compatible stereoscopic 3D services

`GstMpegts.StreamType.VIDEO_H264_STEREO_ADDITIONAL_VIEW` (35) –

Additional view Rec. ITU-T H.264 | ISO/IEC 14496-10 video stream conforming to one or more profiles defined in Annex A for service-compatible stereoscopic 3D services

`GstMpegts.StreamType.VIDEO_HEVC` (36) –

Rec. ITU-T H.265 | ISO/IEC 23008-2 video stream or an HEVC temporal video sub-bitstream

`GstMpegts.StreamType.IPMP_STREAM` (127) –

IPMP stream

`GstMpegts.StreamType.USER_PRIVATE_EA` (234) –

User Private stream id (used for VC-1) as defined by SMPTE RP227.

(Since: 1.20)

### GstMpegts.StreamType

Type of MPEG-TS stream type.

These values correspond to the base standard registered types. Depending on the variant of mpeg-ts being used (Bluray, ATSC, DVB, ...), other types might also be used, but will not conflict with these.

Corresponds to table 2-34 of ITU H.222.0 | ISO/IEC 13818-1

##### Members

`GstMpegts.StreamType.RESERVED_00` (0) –

ITU-T | ISO/IEC Reserved

`GstMpegts.StreamType.VIDEO_MPEG1` (1) –

ISO/IEC 11172-2 Video (i.e. MPEG-1 Video)

`GstMpegts.StreamType.VIDEO_MPEG2` (2) –

Rec. ITU-T H.262 | ISO/IEC 13818-2 Video or ISO/IEC 11172-2 constrained parameter video stream (i.e. MPEG-2 Video)

`GstMpegts.StreamType.AUDIO_MPEG1` (3) –

ISO/IEC 11172-3 Audio

`GstMpegts.StreamType.AUDIO_MPEG2` (4) –

ISO/IEC 13818-3 Audio

`GstMpegts.StreamType.PRIVATE_SECTIONS` (5) –

private sections

`GstMpegts.StreamType.PRIVATE_PES_PACKETS` (6) –

PES packets containing private data

`GstMpegts.StreamType.MHEG` (7) –

ISO/IEC 13522 MHEG

`GstMpegts.StreamType.DSM_CC` (8) –

Annex A DSM-CC

`GstMpegts.StreamType.H_222_1` (9) –

Rec. ITU-T H.222.1

`GstMpegts.StreamType.DSMCC_A` (10) –

ISO/IEC 13818-6 type A

`GstMpegts.StreamType.DSMCC_B` (11) –

ISO/IEC 13818-6 type B

`GstMpegts.StreamType.DSMCC_C` (12) –

ISO/IEC 13818-6 type C

`GstMpegts.StreamType.DSMCC_D` (13) –

ISO/IEC 13818-6 type D

`GstMpegts.StreamType.AUXILIARY` (14) –

auxiliary streams

`GstMpegts.StreamType.AUDIO_AAC_ADTS` (15) –

ISO/IEC 13818-7 Audio (AAC) with ADTS transport syntax

`GstMpegts.StreamType.VIDEO_MPEG4` (16) –

ISO/IEC 14496-2 Visual (MPEG-4 Video)

`GstMpegts.StreamType.AUDIO_AAC_LATM` (17) –

ISO/IEC 14496-3 Audio (AAC) with the LATM transport syntax as defined in ISO/IEC 14496-3

`GstMpegts.StreamType.SL_FLEXMUX_PES_PACKETS` (18) –

ISO/IEC 14496-1 SL-packetized stream or FlexMux stream carried in PES packets

`GstMpegts.StreamType.SL_FLEXMUX_SECTIONS` (19) –

ISO/IEC 14496-1 SL-packetized stream or FlexMux stream carried in ISO/IEC 14496_sections

`GstMpegts.StreamType.SYNCHRONIZED_DOWNLOAD` (20) –

ISO/IEC 13818-6 Synchronized Download Protocol

`GstMpegts.StreamType.METADATA_PES_PACKETS` (21) –

Metadata carried in PES packets

`GstMpegts.StreamType.METADATA_SECTIONS` (22) –

Metadata carried in metadata_sections

`GstMpegts.StreamType.METADATA_DATA_CAROUSEL` (23) –

Metadata carried in ISO/IEC 13818-6 Data Carousel

`GstMpegts.StreamType.METADATA_OBJECT_CAROUSEL` (24) –

Metadata carried in ISO/IEC 13818-6 Object Carousel

`GstMpegts.StreamType.METADATA_SYNCHRONIZED_DOWNLOAD` (25) –

Metadata carried in ISO/IEC 13818-6 Synchronized Download Protocol

`GstMpegts.StreamType.MPEG2_IPMP` (26) –

IPMP stream (defined in ISO/IEC 13818-11, MPEG-2 IPMP)

`GstMpegts.StreamType.VIDEO_H264` (27) –

AVC video stream conforming to one or more profiles defined in Annex A of Rec. ITU-T H.264 | ISO/IEC 14496-10 or AVC video sub-bitstream of SVC as defined in 2.1.78 or MVC base view sub-bitstream, as defined in 2.1.85, or AVC video sub-bitstream of MVC, as defined in 2.1.88

`GstMpegts.StreamType.AUDIO_AAC_CLEAN` (28) –

ISO/IEC 14496-3 (AAC) Audio, without using any additional transport syntax, such as DST, ALS and SLS

`GstMpegts.StreamType.MPEG4_TIMED_TEXT` (29) –

ISO/IEC 14496-17 Text

`GstMpegts.StreamType.VIDEO_RVC` (30) –

Auxiliary video stream as defined in ISO/IEC 23002-3

`GstMpegts.StreamType.VIDEO_H264_SVC_SUB_BITSTREAM` (31) –

SVC video sub-bitstream of an AVC video stream conforming to one or more profiles defined in Annex G of Rec. ITU-T H.264 | ISO/IEC 14496-10

`GstMpegts.StreamType.VIDEO_H264_MVC_SUB_BITSTREAM` (32) –

MVC video sub-bitstream of an AVC video stream conforming to one or more profiles defined in Annex H of Rec. ITU-T H.264 | ISO/IEC 14496-10

`GstMpegts.StreamType.VIDEO_JP2K` (33) –

Video stream conforming to one or more profiles as defined in Rec. ITU-T T.800 | ISO/IEC 15444-1 (i.e. JPEG 2000)

`GstMpegts.StreamType.VIDEO_MPEG2_STEREO_ADDITIONAL_VIEW` (34) –

Additional view Rec. ITU-T H.262 | ISO/IEC 13818-2 video stream for service-compatible stereoscopic 3D services

`GstMpegts.StreamType.VIDEO_H264_STEREO_ADDITIONAL_VIEW` (35) –

Additional view Rec. ITU-T H.264 | ISO/IEC 14496-10 video stream conforming to one or more profiles defined in Annex A for service-compatible stereoscopic 3D services

`GstMpegts.StreamType.VIDEO_HEVC` (36) –

Rec. ITU-T H.265 | ISO/IEC 23008-2 video stream or an HEVC temporal video sub-bitstream

`GstMpegts.StreamType.IPMP_STREAM` (127) –

IPMP stream

`GstMpegts.StreamType.USER_PRIVATE_EA` (234) –

User Private stream id (used for VC-1) as defined by SMPTE RP227.

(Since: 1.20)

## Constants

### GST_TYPE_MPEGTS_PAT_PROGRAM

    #define GST_TYPE_MPEGTS_PAT_PROGRAM (gst_mpegts_pat_program_get_type())

### GST_TYPE_MPEGTS_PMT

    #define GST_TYPE_MPEGTS_PMT (gst_mpegts_pmt_get_type())

### GST_TYPE_MPEGTS_PMT_STREAM

    #define GST_TYPE_MPEGTS_PMT_STREAM (gst_mpegts_pmt_stream_get_type())

### GST_TYPE_MPEGTS_SECTION

    #define GST_TYPE_MPEGTS_SECTION (gst_mpegts_section_get_type())

The results of the search are